> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Session リソースの取得

> Session にアタッチされたリソースを 1 つ取得します。

`GET /api/v1/cloud/sessions/{session_id}/resources/{resource_id}`

ID を指定して Session リソースを 1 つ返します。

## パスパラメータ

| パラメータ         | 型      | 説明                             |
| ------------- | ------ | ------------------------------ |
| `session_id`  | string | `sess_` プレフィックス付きの Session ID  |
| `resource_id` | string | `sesr_` プレフィックス付きの Resource ID |

## ヘッダー

| ヘッダー            | 必須 | 説明                  |
| --------------- | -- | ------------------- |
| `Authorization` | はい | `Bearer $QODER_PAT` |

## リクエスト例

```bash theme={null}
curl https://api.qoder.com/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources/sesr_0e4323e8f47ba34853f5409e \
  -H "Authorization: Bearer $QODER_PAT"
```

## レスポンス例

**HTTP 200 OK**

```json theme={null}
{
  "id": "sesr_0e4323e8f47ba34853f5409e",
  "type": "file",
  "file_id": "file_019ef2a07a06704fb899908c29eed779",
  "mount_path": "/mnt/session/uploads/file_019ef2a07a06704fb899908c29eed779",
  "created_at": "2026-06-23T05:53:19.77484Z",
  "updated_at": "2026-06-23T05:53:44.995459Z"
}
```

すべてのリソースの構造については [Session リソース](/ja/cloud-agents/api/sessions/schemas#session-resource) を参照してください。

## エラー

| HTTP | type                   | トリガー条件                |
| ---- | ---------------------- | --------------------- |
| 401  | `authentication_error` | PAT が無効または期限切れ        |
| 404  | `not_found_error`      | Session またはリソースが存在しない |

**HTTP 404 Not Found**

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session resource 'sesr_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
```

**HTTP 404 Not Found**

```json theme={null}
{
  "type": "error",
  "request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
```

完全なエラーエンベロープは [エラー](/ja/cloud-agents/api/conventions/errors) を参照してください。
